ben (1.10ubuntu2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:57:09 +0200

ben (1.10ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Aug 2025 15:29:18 +0200

ben (1.10) unstable; urgency=medium

  * Add a custom template example (Closes: #1111165)
  * Remove mips64el from defaults and examples

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Aug 2025 08:00:31 +0200

ben (1.9ubuntu5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:21:17 +0200

ben (1.9ubuntu4) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 15:43:12 -0400

ben (1.9ubuntu3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:17:43 +0100

ben (1.9ubuntu2) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 14:01:20 +0100

ben (1.9) unstable; urgency=medium

  * Bump ocamlformat version to 0.27.0
  * Preprocess excuses.yaml to a more structured JSON file

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2025 11:20:21 +0100

ben (1.8) unstable; urgency=medium

  * examples/transition-scripts:
    - add support for BEN_REBUILD_TIME_REFERENCE
    - add support for BEN_REBUILD_FTBFS
    - generalize for backports
    - many other small fixes and tunings
  * Avoid version and build date ending up in automatically computed ABI
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jan 2025 06:11:38 +0100

ben (1.7ubuntu5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 16:52:49 +0200

ben (1.7ubuntu4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:40:14 +0200

ben (1.7ubuntu3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:23 +0200

ben (1.7ubuntu2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 15:41:39 +0200

ben (1.7ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 11:06:22 +0200

ben (1.7) unstable; urgency=medium

  * Do not hardcode /usr/lib/ocaml (Closes: #1078226)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 03:04:07 +0200

ben (1.6ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 07:52:01 +0200

ben (1.6) unstable; urgency=medium

  * examples/transition-scripts:
    - create a directory per source package in pool
    - examples/ocaml: add JSON generator for ci.debian.net

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Jul 2024 13:42:06 +0200

ben (1.5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 11:07:17 +0200

ben (1.5) unstable; urgency=medium

  * Add build-{status,architecture} pseudo-headers (Closes: #763462)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 15 Jul 2024 15:31:54 +0200

ben (1.4ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 14:37:01 +0200

ben (1.4) unstable; urgency=medium

  * Fix FTBFS (missing installed files)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Jul 2024 20:54:01 +0200

ben (1.3) unstable; urgency=medium

  * Big refactoring
    - make all libraries wrapped
    - do no longer use benl_ prefix
    - move CLI-related stuff to ben_frontends
  * Use UTC date to improve reproducibility

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Jul 2024 15:33:44 +0200

ben (1.2) unstable; urgency=medium

  * Switch build system to dune
  * examples/transition-scripts:
    - make them less OCaml-centric
    - move OCaml-specific stuff to its own directory
    - replace most of commands in README.md by make targets

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Jul 2024 10:01:45 +0200

ben (1.1ubuntu2) oracular; urgency=medium

  * Rebuild against latest extlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 06:03:00 -0400

ben (1.1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jun 2024 14:54:32 +0200

ben (1.1) unstable; urgency=medium

  * rebuild:
    - use SIGINT handler instead of running stop_command
    - print current state on SIGUSR1
    - set debugging level from command line
    - prefix each debugging line with local time
    - add support for dependency filtering to break cycles
  * examples/ocaml-transition-scripts:
    - create missing.txt in create-transition.sh
    - behave well when .reason files are missing
    - add rebuild filter in ocaml-transition-scripts

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jun 2024 07:43:59 +0200

ben (1.0ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jun 2024 07:58:05 +0200

ben (1.0) unstable; urgency=medium

  * rebuild: complete rewrite with more debugging possibilities
  * examples/ocaml-transition-scripts:
    - complete rewrite using sbuild (with unshare backend) instead of
      pbuilder (sudo is no longer required)
    - add support for BEN_REBUILD_CACHE
    - add support for documenting failing reasons (in .reason files)
    - generate a graph of missing packages

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jun 2024 10:11:45 +0200

ben (0.10.5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jun 2024 08:48:49 +0200

ben (0.10.5) unstable; urgency=medium

  * Use uri instead of netstring and drop dependency on ocamlnet

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jun 2024 11:34:02 +0200

ben (0.10.4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
    - Include an Ubuntu logo, remove the Debian logo.
    - Use Ubuntu fonts and colors by default.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:22:37 +0200

ben (0.10.4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * rebuild: improve mutex handling
  * examples/migrate:
    - add debcheck_parallel to migrate functions
  * examples/ocaml-transition-scripts:
    - use "runuser -u" instead of "su -c"
  * Add riscv64 to default architectures and examples

  [ Adrian Bunk ]
  * Depend on xz-utils
  * tracker: Add --run-debcheck

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jun 2024 07:28:04 +0200

ben (0.10.3ubuntu6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Jun 2024 16:48:55 +0200

ben (0.10.3ubuntu5) oracular; urgency=medium

  * Include an Ubuntu logo, remove the Debian logo.
  * Use Ubuntu fonts and colors by default.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 May 2024 12:51:00 -0500

ben (0.10.3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:43:16 +0000

ben (0.10.3ubuntu3) noble; urgency=medium

  * No-change rebuild for libev1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 01:43:44 +0100

ben (0.10.3ubuntu2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 16:03:06 +0100

ben (0.10.3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Sep 2023 17:01:18 +0200

ben (0.10.3) unstable; urgency=medium

  * rebuild: wait for pending builds to complete before invoking update
  * ocaml-transition-scripts: add support for BEN_REBUILD_TIMELIMIT

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Sep 2023 16:34:04 +0200

ben (0.10.2ubuntu2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Sep 2023 14:13:34 +0200

ben (0.10.2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Aug 2023 17:30:10 +0200

ben (0.10.2) unstable; urgency=medium

  * Remove edos-debcheck pseudo-field
  * Add non-free-firmware area to defaults and examples
  * Update architecture list in defaults and examples
    - remove mipsel and replace powerpc by ppc64el
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Aug 2023 05:09:22 +0200

ben (0.10.1ubuntu4) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:33:16 +0200

ben (0.10.1ubuntu3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 11:42:23 +0200

ben (0.10.1ubuntu2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 15:38:46 +0200

ben (0.10.1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Feb 2023 10:57:57 +0100

ben (0.10.1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Tracker: honour --archs flag (Closes: #1029398)

  [ Adrian Bunk ]
  * Download: change default compression to xz

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 07:36:52 +0100

ben (0.10.0) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * New homepage: https://debian.pages.debian.net/ben/

  [ Jochen Sprickerhof ]
  * Replace which by command -v

  [ Stéphane Glondu ]
  * More concise output in debcheck in migrate examples
  * Many changes in "ben rebuild"
    - add parallelization option (-j)
    - handle repo update inside ben, so that a shell loop is not needed
  * Add OCaml transition preparation scripts to examples

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jan 2022 08:08:05 +0100

ben (0.9.2ubuntu6) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2023 09:42:44 +0100

ben (0.9.2ubuntu5) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:20:40 +0100

ben (0.9.2ubuntu4) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 10:36:23 +0100

ben (0.9.2ubuntu3) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 15:58:34 +0000

ben (0.9.2ubuntu2) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 22:50:50 +0100

ben (0.9.2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2021 10:44:34 +0100

ben (0.9.2) unstable; urgency=medium

  * Set status filters via URL parameters (Closes: #876966)
  * Use Tyxml.Html.txt instead of Tyxml.Html.pcdata as the latter is deprecated
  * Avoid deleting lock file when it exists
  * Add <label> tags to make filters easier to toggle (Closes: #956005)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 21:44:44 +0100

ben (0.9.1ubuntu3) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2021 14:18:08 +0100

ben (0.9.1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Nov 2020 07:24:05 +0100

ben (0.9.1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2020 10:32:52 +0200

ben (0.9.1) unstable; urgency=medium

  * Migrate: first remove binaries of migrated packages
  * Tracker: support multiple output formats (Closes: #970744)
  * Drop dependency on libpcre-ocaml-dev
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Sep 2020 11:40:02 +0200

ben (0.9.0ubuntu6) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 13:35:41 +0200

ben (0.9.0ubuntu5) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Aug 2020 21:06:18 +0200

ben (0.9.0ubuntu4) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 22:58:16 +0200

ben (0.9.0ubuntu3) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 22:41:55 +0200

ben (0.9.0ubuntu2) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:20:44 +0000

ben (0.9.0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 19:16:52 +0100

ben (0.9.0) unstable; urgency=medium

  * Add a new "migrate" frontend
  * More helpful message when a dependency cycle is detected by "rebuild"
  * Add version to footer of HTML pages generated by "monitor"
  * Update architecture lists

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Nov 2019 14:15:09 +0100

ben (0.8.3ubuntu4) eoan; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 10:27:20 +0200

ben (0.8.3ubuntu3) eoan; urgency=medium

  * Rebuild against new ocam ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 12:50:57 +0200

ben (0.8.3ubuntu2) eoan; urgency=medium

  * Rebuild against new ocaml ABIs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Sep 2019 15:19:22 +0100

ben (0.8.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Aug 2019 09:12:30 +0200

ben (0.8.3) unstable; urgency=medium

  * Fix exact package name match (Closes: #870319, #841720)
  * Keep all fields when parsing for "query -s" (Closes: #907959)
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Jul 2019 17:04:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libben-ocaml`.
